Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class FixCRLF

    java.lang.Object
      |
      +--org.apache.tools.ant.Task
            |
            +--org.apache.tools.ant.taskdefs.MatchingTask
                  |
                  +--org.apache.tools.ant.taskdefs.FixCRLF

public class FixCRLF
extends MatchingTask

Task to convert text source files to local OS formatting conventions, as well as repair text files damaged by misconfigured or misguided editors or file transfer programs.

This task can take the following arguments:

- srcdir
- destdir
- include
- exclude
- cr
- tab
- eof

Of these arguments, only sourcedir is required.

When this task executes, it will scan the srcdir based on the include and exclude properties.

Warning: do not run on binary or carefully formatted files. this may sound obvious, but if you don't specify asis, presume that your files are going to be modified. If you want tabs to be fixed, whitespace characters may be added or removed as necessary. Similarly, for CR's - in fact cr="add" can result in cr characters being removed. (to handle cases where other programs have converted CRLF into CRCRLF).

Author:
  Sam Ruby rubys@us.ibm.com

Inner Class Summary
`static class` | `FixCRLF.AddAsisRemove` Enumerated attribute with the values "asis", "add" and "remove".

Fields inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`fileset, useDefaultExcludes`

Fields inherited from class org.apache.tools.ant.Task
`description, location, project, target, taskName, taskType, wrapper`

Constructor Summary
`FixCRLF()` Defaults the properties based on the system type.

Method Summary
`void` | `execute()` Executes the task.
`void` | `setCr(FixCRLF.AddAsisRemove attr)` Specify how carriage return (CR) charaters are to be handled
`void` | `setDestdir(java.io.File destDir)` Set the destination where the fixed files should be placed.
`void` | `setEof(FixCRLF.AddAsisRemove attr)` Specify how DOS EOF (control-z) charaters are to be handled
`void` | `setSrcdir(java.io.File srcDir)` Set the source dir to find the source text files.
`void` | `setTab(FixCRLF.AddAsisRemove attr)` Specify how tab charaters are to be handled
`void` | `setTablength(int tlength)` Specify tab length in characters

Methods inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`createExclude, createInclude, createPatternSet, getDirectoryScanner, setDefaultexcludes, setExcludes, setExcludesfile, setIncludes, setIncludesfile, XsetIgnore, XsetItems`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getProject, getRuntimeConfigurableWrapper, getTaskName, init, log, log, maybeConfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FixCRLF

    public FixCRLF()

  Defaults the properties based on the system type.
  - Unix: cr="remove" tab="asis" eof="remove"
  - DOS: cr="add" tab="asis" eof="asis"

Method Detail

### setSrcdir

    public void setSrcdir(java.io.File srcDir)

  Set the source dir to find the source text files.

### setDestdir

    public void setDestdir(java.io.File destDir)

  Set the destination where the fixed files should be placed. Default is to replace the original file.

### setCr

    public void setCr(FixCRLF.AddAsisRemove attr)

  Specify how carriage return (CR) charaters are to be handled
  Parameters:
    `option` - valid values:
    - add: ensure that there is a CR before every LF
    - asis: leave CR characters alone
    - remove: remove all CR characters

### setTab

    public void setTab(FixCRLF.AddAsisRemove attr)

  Specify how tab charaters are to be handled
  Parameters:
    `option` - valid values:
    - add: convert sequences of spaces which span a tab stop to tabs
    - asis: leave tab and space characters alone
    - remove: convert tabs to spaces

### setTablength

    public void setTablength(int tlength)
                      throws BuildException

  Specify tab length in characters
  Parameters:
    `tlength` - specify the length of tab in spaces, has to be a power of 2

### setEof

    public void setEof(FixCRLF.AddAsisRemove attr)

  Specify how DOS EOF (control-z) charaters are to be handled
  Parameters:
    `option` - valid values:
    - add: ensure that there is an eof at the end of the file
    - asis: leave eof characters alone
    - remove: remove any eof character found at the end

### execute

    public void execute()
                 throws BuildException

  Executes the task.
  Overrides:
    `execute` in class `Task`
  Following copied from class: `org.apache.tools.ant.Task`
  Throws:
    `BuildException` - if someting goes wrong with the build

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.